
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon (POW!-32)                   Dateiname: EINS.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    A b s t r a k t e r   D a t e n t y p   L i s t e             |
  |-------------------------------------------------------------------------|
  | Leistung: Das Modul importiert u. a. das Service-Modul ADTLISTE.        |
  |           Es wird eine leere Liste erzeugt, zehn INTEGER-Werte in diese |
  |           eingetragen, danach wieder ausgelesen und am Bildschirm ge-   |
  |           folgt von der Anzahl der gelesenen Listenelemente ausgegeben. |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur das Grundgerst dar. |
  |           Es sollten Nutzerhinweise eingefgt werden.                   |
  |           Siehe: ...\adt\fine\eins.mod                                  |
  *-------------------------------------------------------------------------*)

 MODULE eins;

  IMPORT Out, adtliste;

  VAR a         : adtliste.Liste;
      aus, z, i : INTEGER;

  PROCEDURE Start;
    BEGIN
      Out.Ln;
      adtliste.Erzeugen(a);
      FOR i:= 1 TO 10 DO
        adtliste.AnhaengenElement(a,i+10000)
      END;
      adtliste.GeheErstes(a);
      WHILE ~adtliste.ListenEnde(a) DO
        adtliste.HoleEintrag(a,aus);
        Out.Int(aus,6);
        adtliste.GeheNaechstes(a)
      END;
      adtliste.HoleEintrag(a,aus);
      Out.Int(aus,6);
      Out.Ln;
      adtliste.GeheErstes(a);
      z:= 0;
      WHILE ~adtliste.ListenEnde(a) DO
        adtliste.GeheNaechstes(a);
        INC(z)
      END;
      Out.Ln;
      Out.Int(z+1,8); Out.Ln
    END Start;


  PROCEDURE ProgMain*();
    BEGIN
      Start
    END ProgMain;

 BEGIN
   Out.Open
 END eins.
