
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)           Dateiname: SIEBEN.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die Zhlschleife                                              |
  |-------------------------------------------------------------------------|
  | Leistung: Tabellarische Ausgabe der druckbaren Zeichen des Standard-    |
  |           zeichensatzes (ASCII). (Ordinalzahl Zeichen)                  |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\anwei\good\sieben.mod                                    |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Sieben;

  IMPORT Out;


 (* --------------------  U N T E R P R O G R A M M E  -------------------- *)


  PROCEDURE Ueberschrift;

    VAR i : INTEGER;

    BEGIN
      Out.Ln; Out.Ln;
      Out.String('    A U S Z U G   D E R   A S C I I - T A B E L L E');
      Out.Ln; Out.String('   ');

      FOR i:= 1 TO 49 DO  Out.Char('') END;   

              (* '' = <Alt>+<0><1><6><8> auf dem Nummernblock der Tastatur *)
              (* '' = <Alt>+<0><1><7><5> auf dem Nummernblock der Tastatur *)

      Out.Ln; Out.Ln
    END Ueberschrift;


  PROCEDURE ASCII;

    VAR k     : INTEGER;
        kStrg : ARRAY 6 OF CHAR;

    BEGIN
      
      FOR k:= 32 TO 127 DO
        Out.Int(k,5); Out.String(' = ');
        Out.Char(CHR(k)); Out.String('  ');
        IF (k-3) MOD 7 = 0 THEN Out.Ln END
                       (* Diese If-Anweisung realisiert einen Zeilenumbruch *)
                       (* nach jeweils acht ausgegebenen ASCIIs.            *)
      END;
      
      Out.Ln
    END ASCII;


  PROCEDURE Erlaeuterung;
    BEGIN
      Out.Ln; Out.Ln;
      Out.Int(32,5); Out.String(' = Leerzeichen');
      Out.String('   '); Out.Int(127,5); Out.String(' = Dummy (Strohmann)');
    END Erlaeuterung;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();
    BEGIN
      Ueberschrift;
      ASCII;
      Erlaeuterung
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   Out.Open
 END Sieben.

 (* ----------------------------------------------------------------------- *)

