
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)            Dateiname: FUENF.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die Schleife mit vorangestelltem Test                         |
  |-------------------------------------------------------------------------|
  | Leistung: Errechnen der Potenz einer reellen Zahl                       |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe: ...\anwei\fine\fuenf.mod                               |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  |-------------------------------------------------------------------------|
  |           Nherungsweise Berechnung der Zahl e: 1.0001 hoch 10000       |
  *-------------------------------------------------------------------------*)

 MODULE Fuenf;

  IMPORT In, Out;

  PROCEDURE Potenz;

    VAR x, z : REAL;
        n    : INTEGER;

    BEGIN
      In.Real(x);
      In.Int(n);
      z:= 1.0;
      
      WHILE n # 0 DO
        IF ODD(n) THEN
          n:= n - 1;               (*  oder: DEC(n);  *)
          z:= z * x
        ELSE
          n:= n DIV 2;  x:= x * x
        END
      END;
      
      Out.Ln;
      Out.Real(z,16)
    END Potenz;


  PROCEDURE ProgMain*();
    BEGIN
      Potenz
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Fuenf.
