
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)            Dateiname: DATEN.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    D a t u m  (vorhergehendes und nachfolgendes Datum eines      |
  |                       Tages des gregorianischen Kalenders)              |
  |-------------------------------------------------------------------------|
  | Leistung: Einlesen eines korrekten Datums und Ermitteln des Datums des  |
  |           nchsten und des vorhergehenden Tages.                        |
  |           Zu beachten ist die Reihenfolge: Jahr Monat Tag!              |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise und ggf. Beispiele fr gltige Ein- |
  |           gaben eingefgt werden.                                       |
  |           Siehe ...\datum1\fine\daten.mod                               |
  |-------------------------------------------------------------------------|
  | Aufgabenstellung: ...\datum1\txt\datum.txt u. ...\datum1\doc\datum.doc  |
  | Erluterungstext: ...\datum1\txt\daten.txt u. ...\datum1\doc\datem.doc  |
  *-------------------------------------------------------------------------*)
    
 MODULE Daten;

  IMPORT In, Out;

  PROCEDURE Naechster;
    
    VAR anzahl, c, j,
        jahr, monat, tag : INTEGER;
        schaltjahr       : BOOLEAN;

    BEGIN
      In.Prompt('Jahr  ( jjjj )');
      In.Int(jahr);
      In.Prompt('Monat  ( mm )');
      In.Int(monat);
      In.Prompt('Tag  ( tt )');
      In.Int(tag);
      Out.Ln;
      Out.Int(jahr,8); Out.Int(monat,3); Out.Int(tag,3);
      Out.String(' - ');
      
      c:= jahr DIV 100; 
      j:= jahr MOD 100;
      IF j = 0 THEN 
        schaltjahr:= c MOD 4 = 0
      ELSE
        schaltjahr:= j MOD 4 = 0 
      END;
      
      CASE monat OF
         1, 3, 5, 7, 8, 10, 12: anzahl:= 31 
       | 4, 6, 9, 11:           anzahl := 30
       | 2:                     IF schaltjahr THEN
                                  anzahl := 29
                                ELSE
                                  anzahl := 28
                                END
      END;
      
      IF tag < anzahl THEN
        INC(tag)
      ELSIF monat < 12 THEN
        tag := 1;
        INC(monat)
      ELSE
        tag:= 1;
        monat:= 1;
        INC(jahr)
      END;
    
      Out.String('Das Datum des nchsten Tages ist:');
      Out.Int(jahr,5); Out.Int(monat,3); Out.Int(tag,3); Out.String('.');
      Out.Ln
    END Naechster;


  PROCEDURE Vorheriger;

    VAR

    BEGIN

      (* Hier sind Anweisungen zu ergnzen. *)

    END Vorheriger;


  PROCEDURE ProgMain*();
    BEGIN
      Naechster;
      Vorheriger
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Daten.
  
