
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)         Dateiname: KALENDER.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    D a t u m   (Import des Servicemoduls DatumOperationen)       |
  |-------------------------------------------------------------------------|
  | Leistung: Erstellen des Jahreskalenders fr das eingegebene Kalender-   |
  |           jahr (gregorianischer Kalender, 1583 bis 3000)                |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Kommentare eingefgt werden.                       |
  |           Siehe ...\datum2\fine\kalender.mod                            |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\datum2\txt\datumtool.txt und                      |
  |                   ...\datum2\doc\datumtool.doc                          |
  *-------------------------------------------------------------------------*)

 MODULE Kalender;

  IMPORT In, Out, Op := DatumOperationen;

  PROCEDURE Erstellen;

    VAR t, m, j, k : INTEGER;
        a          : Op.tDatum;

    BEGIN
      In.Prompt('Kalenderjahr');
      In.Int(j);
      Out.Ln; Out.String(' Kalender fr das Jahr '); Out.Int(j, 5); Out.Ln;
      Out.Ln;
      FOR m := 1 TO 12 DO
        Out.String('   ');
        CASE m OF
            1: Out.String('Januar')
         |  2: Out.String('Februar')
         |  3: Out.String('Mrz')
         |  4: Out.String('April')
         |  5: Out.String('Mai')
         |  6: Out.String('Juni')
         |  7: Out.String('Juli')
         |  8: Out.String('August')
         |  9: Out.String('September')
         | 10: Out.String('Oktober')
         | 11: Out.String('November')
         | 12: Out.String('Dezember')
        END;
        Out.Ln; Out.Ln;
        Out.String('   So   Mo   Di   Mi   Do   Fr   Sa'); Out.Ln;
        a.jahr:= j;
        a.monat:= m;
        a.tag:= 1;
        FOR k:= 1 TO Op.Wochentag(a) DO Out.String('     ') END;
        FOR t:= 1 TO Op.TageImMonat(j,m) DO
          Out.Int(t, 5);
          a.tag:= t;
          IF Op.Wochentag(a) = 6 THEN Out.Ln END
        END;
        IF Op.Wochentag(a) # 6 THEN Out.Ln END;
        Out.Ln
      END
    END Erstellen;


  PROCEDURE ProgMain*();
    BEGIN
     Erstellen
    END ProgMain;


 BEGIN
   In.Open;
   Out.Open
 END Kalender.
 
