
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)           Dateiname: EUKLID.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Einstieg in die Programmierung mit OBERON                     |
  |-------------------------------------------------------------------------|
  | Leistung: Berechnen und Ausgeben des grten gemeinsamen Teilers        |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\einstieg\good\euklid.mod                                 |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\einstieg\txt\beispiel.txt und                     |
  |                   ...\einstieg\doc\beispiel.doc                         |
  *-------------------------------------------------------------------------*)

 MODULE Euklid;

  IMPORT In, Out;


 (* --------------------  U N T E R P R O G R A M M E  -------------------- *)


  PROCEDURE Ueberschrift;
    BEGIN
      Out.Ln; Out.Ln;
      Out.String('     Der grte gemeinsame Teiler'); Out.Ln;
      Out.String('    '); Out.Ln
             (* '' = <Alt> + < 0 1 6 8 > auf dem Nummernblock der Tastatur *)
    END Ueberschrift;


  PROCEDURE Einlesen ( VAR x, y : INTEGER );

    VAR zeichen : CHAR;

    BEGIN
      In.Prompt('1. Zahl');
      In.Int(x);
      In.Prompt('2. Zahl');
      In.Int(y)
    END Einlesen;


  PROCEDURE ggT ( x, y : INTEGER );

    VAR rest : INTEGER;                (* Die Variable rest vom Typ INTEGER *)
                                       (* ist in der Prozedur ggT lokal.    *)
    BEGIN
      Out.Ln;
      Out.String('        1. Zahl =');        (*   E i n g a b e             *)
      Out.Int(x,5);
      Out.Ln; Out.Ln;
      Out.String('        2. Zahl =');
      Out.Int(y,5);
      WHILE y > 0 DO                         (*   V e r a r b e i t u n g   *)
        rest:= x MOD y;
        x:= y;
        y:= rest
      END;
      Out.Ln; Out.Ln;
      Out.String('        ggt     =');
      Out.Int(x,5);                          (*   A u s g a b e             *)
      Out.Ln; Out.Ln
    END ggT;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();

    VAR x, y : INTEGER;

    BEGIN
      Ueberschrift;
      Einlesen(x,y);
      ggT(x,y)
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   In.Open;
   Out.Open
 END Euklid.

 (*-------------------------------------------------------------------------*)
