
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 (16 Bit)              Dateiname: FORUEB04.MOD |
  |-------------------------------------------------------------------------|
  | Autor:    Manfred Kmmerer, Carl-Zeiss-Gymnasium JENA                   |
  |           Erstellungsdatum: Januar 2001 Version: V 2.0                  |
  |-------------------------------------------------------------------------|
  | Thema:    Wiederholungen: Die geschachtelte Zhlschleife                |
  |           Zusatzbung fr leistungsstarke Schlerinnen und Schler      |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Programm ist fr den Grafikmodus 800 x 600 Pixel         |
  |           konzipiert (Ausnutzung der gesamten Bildschirmflche).        |
  |           Die Koordinaten des sichtbaren Grafikbildschirms sind:        |
  |           linke untere Ecke P1(0|0), rechte obere Ecke P2(784|544).     |
  |           Das Beenden des Programms kann durch Bettigen der Enter-     |
  |           taste oder durch Mausklick auf das abschlieende < Enter >    |
  |           erfolgen.                                                     |
  |-------------------------------------------------------------------------|
  |            2001  Manfred Kmmerer, Chamberlain-Soft JENA               |
  *-------------------------------------------------------------------------*)


 MODULE ForUeb04;
 
   IMPORT Ch:= ChSTools;

  CONST  dTime     = 150;

         message   = 'ITERATION  (Schleifen)';
         year      = '2001';


 (* --------------------  U N T E R P R O G R A M M E  -------------------- *)


  PROCEDURE Kreise;
   (*-----------------------------------------------------------------------*
    | Leistung: Zeichnen eines Musters aus verschlungenen Kreisen.          |
    *-----------------------------------------------------------------------*)

    VAR i, k, r   : INTEGER;
        increment : INTEGER;
        xM, yM    : INTEGER;

    BEGIN
      yM:= 115;                         (*     135 *)
      r :=  63;                         (*      52 *)
      increment:= (r DIV 2)+1;          (* r DIV 2 *)
      FOR k:= 1 TO 11 DO
        xM:= 238;                       (*     250 *)
        FOR i:= 1 TO 11 DO
          IF ODD(i) & ODD(k) THEN 
            Ch.SetForeColor(0,130,120)
          ELSE 
            Ch.SetForeColor(0,255,255)
          END;
          Ch.Circle(xM,yM,r);
          INC(xM,increment);
        END;
        INC(yM,increment)
      END;
      Ch.Enter(660,35,Ch.Cyan,Ch.bkColor,FALSE,dTime)
    END Kreise;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)


 PROCEDURE ProgMain*;

   VAR BackColor : Ch.tColor;   
   
   BEGIN
     Kreise;
     Ch.Close
   END ProgMain;


 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   Ch.InitiateColorPlane(Ch.bkColor,0,0,32);   (* Malkasten ffnen und gro- *)
                                               (* es Fenster einstellen    *)
   Ch.HeadLine(message,year);                  (* Eintrag in die Bildleiste *)
   Ch.Delay_ms(500)
 END ForUeb04.

 (* -----------   2001  Manfred Kmmerer, Chamberlain-Soft JENA  ----------*)

