
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)         Dateiname: EINSVARI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Tauschen zweier Zahlen (DT: INTEGER)                          |
  |           Wiederholung des Tauschvorgangs                               |
  |-------------------------------------------------------------------------|
  | Leistung: Tauschen zweier vom Anwender eingegebener ganzer Zahlen       |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\anwei\good\einsvari.mod                                  |
  | ACHTUNG!  Das Modul sollte als Ergnzung zum Modul sieben.mod, das      |
  |           sich im gleichen Pfad befindet, betrachtet werden.            |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)
  
 MODULE EinsVari;

  IMPORT In, Out;


 (* --------------------  U N T E R P R O G R A M M E --------------------- *)


  PROCEDURE Einlesen ( VAR a, b : INTEGER );
    BEGIN
      Out.Ln;
      Out.String('  Tauschen zweier Zahlen'); Out.Ln;
      Out.Ln;
      Out.String('  Zum Beispiel: 5 und 777 oder 1000 und -2000'); Out.Ln;
      Out.Ln;

      In.Prompt('1. Zahl  ( DT: INT )');
      In.Int(a);
      In.Prompt('2. Zahl  ( DT: INT )');
      In.Int(b);
      Out.Ln;
      Out.String(' eingelesen:'); Out.Ln; Out.Ln;
      Out.String('   a ='); Out.Int(a,6); Out.Ln;
      Out.String('   b ='); Out.Int(b,6); Out.Ln;
      Out.Ln;
    END Einlesen;


  PROCEDURE Tauschen ( VAR a, b : INTEGER );

    VAR hilf: INTEGER;

    BEGIN
      hilf:= a;
      a:= b;
      b:= hilf
    END Tauschen;


  PROCEDURE Ausgeben ( a, b : INTEGER );
    BEGIN
      Out.Ln;
      Out.String(' getauscht:'); Out.Ln;
      Out.Ln;
      Out.String('   a ='); Out.Int(a,6); Out.Ln;
      Out.String('   b ='); Out.Int(b,6); Out.Ln;
      Out.Ln
    END Ausgeben;


  PROCEDURE Wiederholung () : BOOLEAN;                 (* Funktionsprozedur *)

    VAR schluessel : CHAR;

    BEGIN
      In.Prompt('Wiederholung (j/n)');
      In.Char(schluessel);
      IF CAP(schluessel) = 'N' THEN  (* CAP(char) = wandelt einen Klein- in *)
        RETURN FALSE                 (*             einen Grobuchstaben    *)
      ELSE
        RETURN TRUE
      END
    END Wiederholung;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();

    VAR a, b : INTEGER;

    BEGIN
      Einlesen(a,b);
      REPEAT                                   (* Wiederhole Block ...      *)
        Tauschen(a,b);
        Ausgeben(a,b)
      UNTIL ~Wiederholung()                    (* ... bis Bedingung erfllt *)
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   In.Open;
   Out.Open
 END EinsVari.

 (* ----------------------------------------------------------------------- *)

