
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: VIER.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die mehrseitige Auswahl                                       |
  |-------------------------------------------------------------------------|
  | Leistung: Nach Eingabe der Notenpunkte wird das dazugehrige Prdikat   |
  |           (Wortlaut der Note) angezeigt.                                |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\anwei\good\vier.mod                                      |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Vier;

   IMPORT In, Out;


 (* ---------------------  U N T E R P R O G R A M M  --------------------- *)


   PROCEDURE Note;

     VAR notenpunkte : INTEGER;

     BEGIN
       In.Prompt('Notenpunkte');
       In.Int(notenpunkte);
       Out.Ln; Out.Ln;
       Out.Int(notenpunkte,5); Out.String(' Notenpunkte = ');
       
       CASE notenpunkte OF
           13..15: Out.String('sehr gut')
         | 10..12: Out.String('gut')
         |  7.. 9: Out.String('befriedigend')
         |  4.. 6: Out.String('ausreichend')
         |  1.. 3: Out.String('mangelhaft')
         |      0: Out.String('ungengend')
           ELSE Out.String(' Fehler!')
       END;
       
       Out.Ln
     END Note;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();
    BEGIN
      Note
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   In.Open;
   Out.Open
 END Vier.

 (* ----------------------------------------------------------------------- *)

