
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: EINS.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Eingabe, Ausgabe und Tauschen zweier Zahlen (DT: INTEGER)     |
  |-------------------------------------------------------------------------|
  | Importe:  Das Modul Eins importiert die von POW! bereitgestellten       |
  |           Module In und Out (Oakwood Guidelines). Damit werden Proze-   |
  |           duren fr Ein- und Ausgabeanweisungen bereitgestellt.         |
  | Leistung: Tauschen zweier vom Anwender eingegebener ganzer Zahlen.      |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe: ...\anwei\fine\eins.mod                                |
  *-------------------------------------------------------------------------*)

 MODULE Eins;
 
  IMPORT In, Out;
 

  PROCEDURE Tausch;

    VAR a, b, hilf: INTEGER;            (* lokale Variablen in der Prozedur *)

    BEGIN
      In.Int(a);
      In.Int(b);
      
      hilf:= a;                                     (* drei Wertzuweisungen *)
      a:= b;
      b:= hilf;
      
      Out.Ln;
      Out.Int(a,6); Out.Int(b,6);
      Out.Ln
    END Tausch;
 

  PROCEDURE ProgMain*();
    BEGIN
      Tausch
    END ProgMain;

 BEGIN
   In.Open;                   (* Die Initialisierung des In- und Out-Moduls *)
   Out.Open                   (* kann weggelassen werden!                   *)
 END Eins.
