
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: ZWEI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die zweiseitige Auswahl                                       |
  |-------------------------------------------------------------------------|
  | Leistung: Nach Eingabe von drei ganzen Zahlen, Strecken a, b, c, wird   |
  |           entschieden, ob daraus ein Dreieck konstruierbar ist.         |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe ...\anwei\fine\zwei.mod                                 |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Zwei;

  IMPORT In, Out;
  
  PROCEDURE Test;

    VAR a, b, c : INTEGER; 

    BEGIN
      In.Int(a);
      In.Int(b);
      In.Int(c);
      Out.Ln;
      
      IF (a + b > c) & (a + c > b) & (b + c > a) THEN
        Out.String('   Es kann ein Dreieck konstruiert werden.')
      ELSE
        Out.String('   Ein Dreieck ist nicht zu konstruieren.')
      END;
      
      Out.Ln
    END Test;


  PROCEDURE ProgMain*();
    BEGIN
      Test
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Zwei.

