
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: DREI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die geschachtelte zweiseitige Auswahl                         |
  |-------------------------------------------------------------------------|
  | Leistung: Nach Eingabe von drei ganzen Zahlen, Strecken a, b, c, wird   |
  |           entschieden, ob daraus ein gleichseitiges, rechtwinkliges,    |
  |           weder gleichseitiges noch rechtwinkliges Dreieck konstruier-  |
  |           bar oder ein Dreieck nicht zu konstruieren ist.               |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  *-------------------------------------------------------------------------*)

 MODULE Drei;

  IMPORT In, Out;

  PROCEDURE Art;

    VAR a, b, c : INTEGER;

    BEGIN
      In.Prompt('Seite a  (INTEGER)');
      In.Int(a);
      In.Prompt('Seite b  (INTEGER)');
      In.Int(b);
      In.Prompt('Seite c  (INTEGER)');
      In.Int(c);
      Out.Ln;

    (* ---  If-Anweisung (geschachtelt)  ---------------------------------- *)

      IF (a = b) & (b = c) THEN
        Out.String(' Es handelt sich um ein gleichseitiges Dreieck.')
      ELSIF (a*a = b*b + c*c) OR (b*b = a*a + c*c) OR (c*c = a*a + b*b) THEN
        Out.String(' Es handelt sich um ein rechtwinkliges Dreieck.')
      ELSIF (a + b > c) & (a + c > b) & (b + c > a) THEN
        Out.String(' Das Dreieck ist weder gleichseitig noch rechtwinklig.')
      ELSE
        Out.String(' Ein Dreieck ist nicht zu konstruieren.')
      END;

    (* -------------------------------------------------------------------- *)

      Out.Ln
    END Art;


  PROCEDURE ProgMain*();
    BEGIN
      Art
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Drei.
