
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: EINS.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    W e r t z u w e i s u n g e n                                 |
  |-------------------------------------------------------------------------|
  | Importe:  Das Modul Eins importiert die von POW! bereitgestellten       |
  |           Module In und Out (Oakwood Guidelines). Damit werden Proze-   |
  |           duren fr Ein- und Ausgabeanweisungen bereitgestellt.         |
  |-------------------------------------------------------------------------|
  | Leistung: bernahme zweier ganzer Zahlen (Datentyp INTEGER), die vom    |
  |           Anwender mittels Tastatur eingegeben werden mssen.           |
  |           Tauschen der beiden Zahlen und Ausgabe des Ergebnises am BS.  |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe: ...\anwei\mod\einsgut.mod                              |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Eins;                 (* Modulkopf allgemein: MODULE bezeichner;    *)

  IMPORT In, Out;             (* Importliste (Standardmodule In und Out)    *)
 

  PROCEDURE Tauschen;         (* Prozedurkopf: PROCEDURE bezeichner         *)

    VAR a, b, hilf : INTEGER; (* lokale Variablen in der Prozedur           *)

    BEGIN                     (* Anfang des Rumpfs der Prozedur             *)
                              (*        (Block, Anweisungsteil)             *)

      In.Int(a);              (* zwei INTEGER-Werte einlesen                *)
      In.Int(b);

    (* ---  Wertzuweisungen  ---------------------------------------------- *)

      hilf:= a;
      a:= b;
      b:= hilf;

    (* -------------------------------------------------------------------- *)

      Out.Ln;                 (* Ausgabe einer Leerzeile                    *)

      Out.Int(a,6);           (* zwei INTEGER-Werte ausgeben                *)
      Out.Int(b,6);

      Out.Ln

    END Tauschen;             (* Ende des Rumpfs der Prozedur               *)
 

  PROCEDURE ProgMain*();      (* Das POW!-"Hauptprogramm"                   *)
    BEGIN                     
      Tauschen                (* Prozeduraufruf                             *)
    END ProgMain;

 BEGIN
   In.Open;                   (* Die Initialisierung des In- und Out-Moduls *)
   Out.Open                   (* kann weggelassen werden!                   *)
 END Eins.
