
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)            Dateiname: FUENF.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die Schleife mit vorangestelltem Test                         |
  |-------------------------------------------------------------------------|
  | Leistung: Errechnen der Potenz einer reellen Zahl                       |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Das Ergebnis (reelle Zahl) kann formatiert werden. Dazu ms-  |
  |           sen das Modul Float importiert und die darin enthaltene An-   |
  |           weisung StrF(...) mit den entsprechenden Parametern in den    |
  |           Quelltext der Prozedur Potenz eingefgt werden.               |
  |           Die lokale Variablendeklaration erhlt eine neue Variable,    |
  |           z.B. realStrg : ARRAY 26 OF CHAR, die das konvertierte Ergeb- |
  |           nis als Zeichenkette aufnehmen kann. Die Zeichenkette wird    |
  |           statt der unformatierten rellen Zahl am Bildschirm ausgegeben |
  |           oder in einen Antwortsatz integriert.                         |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  |-------------------------------------------------------------------------|
  |           Nherungsweise Berechnung der Zahl e: 1.0001 hoch 10000       |
  *-------------------------------------------------------------------------*)

 MODULE Fuenf;

  IMPORT In, Out;

  PROCEDURE Potenz;

    VAR x, z : REAL;
        n    : INTEGER;

    BEGIN
      In.Prompt('Basis  (REAL)');
      In.Real(x);
      In.Prompt('Exponent  (INT)');
      In.Int(n);
      z:= 1.0;

    (* ---  While-Anweisung  ---------------------------------------------- *)
      
      WHILE n # 0 DO
        IF ODD(n) THEN
          n:= n - 1;               (*  oder: DEC(n);  *)
          z:= z * x
        ELSE
          n:= n DIV 2;  x:= x * x
        END
      END;

    (* -------------------------------------------------------------------- *)

      Out.Ln;
      Out.Real(z,16)
    END Potenz;


  PROCEDURE ProgMain*();
    BEGIN
      Potenz
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Fuenf.
