
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)            Dateiname: JAHRE.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    D a t u m   (Import des Servicemoduls DatumOperationen)       |
  |-------------------------------------------------------------------------|
  | Leistung: Es wird das Datum des Ostersonntags eines eingegebenen Jahres |
  |           ermittelt (gregorianischer Kalender). Zustzlich wird ange-   |
  |           zeigt, ob es sich um ein Schaltjahr handelt.                  |
  |           Alle Daten mssen zwischen 1583 und 3000 (gregorianisher Ka-  |
  |           lender) liegen.                                               |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul Daten ist lauffhig, stellt aber nur ein Grundge-   |
  |           rst dar. Es sollten Kommentare eingefgt werden.             |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\datum2\txt\datum.txt und ...\datum2\doc\datum.doc |
  *-------------------------------------------------------------------------*)

 MODULE Jahre;

  IMPORT In, Out, Op:= DatumOperationen;

  PROCEDURE Angaben;

    VAR jahr   : INTEGER;
        ostern : Op.tDatum;

    BEGIN
      In.Prompt('Jahreszahl');
      In.Int(jahr);
      Op.Ostersonntag(jahr,ostern);
      Out.Ln; Out.String(' Datum des Ostersonntags: ');
      Out.Int(ostern.jahr,5);
      Out.Int(ostern.monat,3);
      Out.Int(ostern.tag, 3);
      Out.Ln; Out.Ln;
      
      IF Op.Schaltjahr(jahr) THEN
        Out.String(' Das Jahr ist ein Schaltjahr.')
      ELSE
        Out.String(' Das Jahr ist kein Schaltjahr.')
      END;
      
      Out.Ln
    END Angaben;


  PROCEDURE ProgMain*();
    BEGIN
      Angaben
    END ProgMain;


 BEGIN
   In.Open;
   Out.Open
 END Jahre.
