
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)         Dateiname: TETRAEDE.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Einstieg in die Programmierung mit OBERON                     |
  |-------------------------------------------------------------------------|
  | Leistung: Nach dem Einlesen einer reellen Zahl (Kantenlnge) werden die |
  |           Oberflche und das Volumens eines Tetraeders berechnet und    |
  |           die Ergebnisse am Bildschirm zugeordnet ausgegeben.           |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  *-------------------------------------------------------------------------*)

 MODULE Tetraede;             (* Modulkopf allgemein: MODULE bezeichner;    *)

  IMPORT In, Out;             (* Importliste (Standardmodule In und Out)    *)

  VAR a, Ao, V : REAL;        (* globale Variablen sind im gesamten Modul   *)
                              (* gltig (Sichtbarkeitsregel)                *)

  PROCEDURE Einlesen; (* E *) (* Prozedurkopf: PROCEDURE bezeichner         *)
    BEGIN                     (* Anfang des Rumpfs der Prozedur             *)
      In.Prompt('Kantenlnge');
      In.Real(a);             (* Anweisungsteil (Block)                     *)
      Out.Ln;
      Out.String(' Kantenlnge: '); Out.Real(a,14); Out.Ln
    END Einlesen;             (* Ende des Rumpfs der Prozedur               *)

  PROCEDURE Berechnen; (* V *)
    BEGIN
      Ao := 1.7320508 * a * a;
      V := 0.11785113 * a * a * a;
      Out.Ln;
      Out.String(' fertig'); Out.Ln
    END Berechnen;
    
  PROCEDURE Ausgeben; (* A *)
    BEGIN
      Out.Ln;
      Out.String(' Oberflche:  '); Out.Real(Ao,14); Out.Ln;
      Out.Ln;
      Out.String(' Volumen:     '); Out.Real(V,14); Out.Ln
    END Ausgeben;


  PROCEDURE ProgMain*();      (* Das POW!-"Hauptprogramm"                   *)
    BEGIN
      Einlesen;  (* E *)      (* Prozeduraufruf                             *)
      Berechnen; (* V *)
      Ausgeben   (* A *)
    END ProgMain;

 BEGIN
   In.Open;                   (* Die Initialisierung des In- und Out-Moduls *)
   Out.Open                   (* kann weggelassen werden!                   *)
 END Tetraede.
