
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)         Dateiname: TURTDEMO.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Anwendung der Kommandos aus dem Service-Modul: Turtle-Grafik  |
  |-------------------------------------------------------------------------|
  | Leistung: Zeichnen eines Linienzugs unter Verwendung                    |
  |           der Turtle-Grafik-Kommandos                                   |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt und ggf. eine anspruchs-  |
  |           vollere Grafik gezeichnet werden.                             |
  *-------------------------------------------------------------------------*)

 MODULE TurtDemo;

  IMPORT In, Out, T:= Turtle;


  PROCEDURE Beispieltext;
    BEGIN
      Out.Ln;
      Out.String('  Beispieldaten: 350 400 0 150 225 212'); Out.Ln;
      Out.Ln;
      Out.String('  Die Eingaben mssen mit < Enter > abgeschlossen werden.');
      Out.Ln; Out.Ln;
      Out.String('  ODER: Alle gewnschten Zahlen nacheinander, durch');
      Out.String(' Leerzeichen getrennt, eingeben');
      Out.Ln;
      Out.String('        und anschlieend die Enter-Taste bettigen');
      Out.String(' (Eingabestrom, engl.: inputstream).');
      Out.Ln
    END Beispieltext;


  PROCEDURE Init;

    VAR a, b: INTEGER;

    BEGIN
      In.Prompt('Startpunkt ( x )');
      In.Int(a);
      In.Prompt('Startpunkt ( y )');
      In.Int(b);
      T.BildNeu(a,b)
    END Init;


  PROCEDURE Ausrichten;

    VAR richtung : INTEGER;

    BEGIN
      In.Prompt('Richtung in ');
      In.Int(richtung);
      T.Aufkurs(richtung)
    END Ausrichten;


  PROCEDURE Drehen;

    VAR winkel : INTEGER;

    BEGIN
      In.Prompt('Winkel in ');
      In.Int(winkel);
      T.Rechts(winkel)
    END Drehen;


  PROCEDURE Gehen;

    VAR schritte: INTEGER;

    BEGIN
      In.Prompt('Lnge in Pixeln');
      In.Int(schritte);
      T.Vorwaerts(schritte)
    END Gehen;


  PROCEDURE ProgMain*();
    BEGIN
      Beispieltext;
      Init;
      Ausrichten;
      Gehen;
      Drehen;
      Gehen
    END ProgMain;

  END TurtDemo.
