
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon (POW!-32)                   Dateiname: DREI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    A b s t r a k t e r   D a t e n t y p   L i s t e             |
  |-------------------------------------------------------------------------|
  | Leistung: Das Modul importiert u. a. das Service-Modul ADTLISTE.        |
  |           Es wird eine leere Liste erzeugt, danach sollen INTEGER-Wer-  |
  |           te mittels Tastatur eingegeben werden. Diese werden nach auf- |
  |           steigenden Werten geordnet in die Liste eingefgt. Nach dem   |
  |           Beenden der Eingabe  m u s s  der End-Buttons bettigt werden.|
  |           Danach werden die Werte aller Listenelemente am Bildschirm    |
  |           ausgegeben.                                                   |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur das Grundgerst dar. |
  |           Es sollten Nutzerhinweise eingefgt werden.                   |
  |           Siehe: ...\adt\fine\drei.mod                                  |
  *-------------------------------------------------------------------------*)

 MODULE drei;

  IMPORT In, Out, adtliste;

  VAR a : adtliste.Liste;


  PROCEDURE Eingabe;

    VAR x, daten : INTEGER;

    BEGIN
      adtliste.Erzeugen(a);
      adtliste.AnhaengenElement(a,MAX(INTEGER));
      In.Open;
      In.Int(x);
      WHILE In.Done DO
        adtliste.GeheErstes(a);
        adtliste.HoleEintrag(a,daten);
        WHILE x >= daten DO
           adtliste.GeheNaechstes(a);
           adtliste.HoleEintrag(a,daten)
        END;
        adtliste.EinfuegenElement(a,x);
        In.Int(x)
      END;
      adtliste.GeheLetztes(a);
      adtliste.LoeschenElement(a);
      Out.Ln;
      Out.String(' sortiert:')
    END Eingabe;


  PROCEDURE Ausgabe;

    VAR daten: INTEGER;

    BEGIN
      adtliste.GeheErstes(a);
      WHILE ~adtliste.ListenEnde(a) DO
        adtliste.HoleEintrag(a,daten);
        Out.Int(daten,6);      
        adtliste.GeheNaechstes(a)
      END;
      adtliste.HoleEintrag(a, daten);
      Out.Int(daten,6); Out.Ln
    END Ausgabe;


  PROCEDURE ProgMain*();
    BEGIN
      Eingabe;
      Ausgabe
    END ProgMain;

 BEGIN
   Out.Open
 END drei.

