
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)             Dateiname: DREI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die geschachtelte zweiseitige Auswahl                         |
  |-------------------------------------------------------------------------|
  | Leistung: Nach Eingabe von drei ganzen Zahlen, Strecken a, b, c, wird   |
  |           entschieden, ob daraus ein gleichseitiges, rechtwinkliges,    |
  |           weder gleichseitiges noch rechtwinkliges Dreieck konstruier-  |
  |           bar oder ein Dreieck nicht zu konstruieren ist.               |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\anwei\good\drei.mod                                      |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)
 
 MODULE Drei;

  IMPORT In, Out;


 (* --------------------  U N T E R P R O G R A M M E --------------------- *)


  PROCEDURE Erlaeuterung;
    BEGIN
      Out.Ln; Out.Ln;
      Out.String('   Nach Eingabe der Lnge der Strecken a, b und c wird');
      Out.Ln;
      Out.String('   geprft, ob daraus'); Out.Ln;
      Out.Ln;
      Out.String('   - ein gleichseitiges,'); Out.Ln;
      Out.String('   - ein rechtwinkliges,'); Out.Ln;
      Out.String('   - weder ein gleichseitiges noch ein rechtwinkliges');
      Out.Ln; Out.Ln;
      Out.String('   Dreieck konstruierbar ist oder ein Dreieck nicht zu');
      Out.Ln;
      Out.String('   konstruieren ist.');
      Out.Ln; Out.Ln
    END Erlaeuterung;


  PROCEDURE Art;

    VAR a, b, c : INTEGER;

    BEGIN
      In.Prompt('Seite a  ( DT: INT )');
      In.Int(a);
      In.Prompt('Seite b  ( DT: INT )');
      In.Int(b);
      In.Prompt('Seite c  ( DT: INT )');
      In.Int(c);
      Out.Ln;

      Out.String('   Ergebnis:'); Out.Ln; Out.Ln;
      Out.String('     Strecke a ='); Out.Int(a,6); Out.Ln;
      Out.String('     Strecke b ='); Out.Int(b,6); Out.Ln;
      Out.String('     Strecke c ='); Out.Int(c,6); Out.Ln;
      Out.Ln;

      IF (a = b) & (b = c) THEN
        Out.String('   Es handelt sich um ein gleichseitiges Dreieck.')
      ELSIF (a*a = b*b + c*c) OR (b*b = a*a + c*c) OR (c*c = a*a + b*b) THEN
        Out.String('   Es handelt sich um ein rechtwinkliges Dreieck.')
      ELSIF (a + b > c) & (a + c > b) & (b + c > a) THEN
        Out.String('   Das Dreieck ist weder gleichseitig noch rechtwinklig.')
      ELSE
        Out.String('   Ein Dreieck ist nicht zu konstruieren.')
      END;

      Out.Ln
    END Art;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();
    BEGIN
      Erlaeuterung;
      Art
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   In.Open;
   Out.Open
 END Drei.

 (* ----------------------------------------------------------------------- *)

