
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)             Dateiname: ZWEI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die zweiseitige Auswahl                                       |
  |-------------------------------------------------------------------------|
  | Leistung: Nach Eingabe von drei ganzen Zahlen, Strecken a, b, c, wird   |
  |           entschieden, ob daraus ein Dreieck konstruierbar ist.         |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\anwei\good\zwei.mod                                      |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Zwei;

  IMPORT In, Out;


 (* --------------------  U N T E R P R O G R A M M E --------------------- *)


  PROCEDURE Erlaeuterung;
    BEGIN
      Out.Ln; Out.Ln;
      Out.String('   Nach Eingabe der Lnge der Strecken a, b und c wird');
      Out.Ln;
      Out.String('   geprft, ob daraus ein Dreieck konstruierbar ist.');
      Out.Ln; Out.Ln
    END Erlaeuterung;


  PROCEDURE Test;

    VAR a, b, c : INTEGER; 

    BEGIN
      In.Prompt(' Seite a ( DT: INT )');
      In.Int(a);
      In.Prompt(' Seite b ( DT: INT )');
      In.Int(b);
      In.Prompt(' Seite c ( DT: INT )');
      In.Int(c);
      Out.Ln;
      
      IF (a + b > c) & (a + c > b) & (b + c > a) THEN
        Out.String('   Es kann ein Dreieck konstruiert werden.')
      ELSE
        Out.String('   Ein Dreieck ist nicht zu konstruieren.')
      END;
      
      Out.Ln
    END Test;


 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();
    BEGIN
      Erlaeuterung;
      Test
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   In.Open;
   Out.Open
 END Zwei.

 (* ----------------------------------------------------------------------- *)
