
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)         Dateiname: EINSVARI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Eingabe, Ausgabe und Tauschen zweier Zahlen (DT: INTEGER),    |
  |           Wiederholung des Tauschvorgangs                               |
  |-------------------------------------------------------------------------|
  | Leistung: Tauschen zweier vom Anwender eingegebener ganzer Zahlen.      |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe ...\anwei\fine\einsvari.mod                             |
  | ACHTUNG!  Das Modul sollte als Ergnzung zum Modul sieben.mod, das      |
  |           sich im gleichen Pfad befindet, betrachtet werden.            |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE EinsVari;

  IMPORT In, Out;

  PROCEDURE Einlesen ( VAR a, b : INTEGER );
    BEGIN
      In.Int(a);
      In.Int(b);
      Out.Ln;
      Out.String(' eingelesen:'); Out.Ln; Out.Ln;
      Out.String('   a ='); Out.Int(a,6); Out.Ln;
      Out.String('   b ='); Out.Int(b,6); Out.Ln;
      Out.Ln;
    END Einlesen;


  PROCEDURE Tauschen ( VAR a, b : INTEGER );

    VAR hilf: INTEGER;

    BEGIN
      hilf:= a;
      a:= b;
      b:= hilf
    END Tauschen;


  PROCEDURE Ausgeben ( a, b : INTEGER );
    BEGIN
      Out.Ln;
      Out.String(' getauscht:'); Out.Ln;
      Out.Ln;
      Out.String('   a ='); Out.Int(a,6); Out.Ln;
      Out.String('   b ='); Out.Int(b,6); Out.Ln;
      Out.Ln
    END Ausgeben;


  PROCEDURE Wiederholung () : BOOLEAN;

    VAR schluessel : CHAR;

    BEGIN
      In.Prompt('Wiederholung (j/n)');
      In.Char(schluessel);
      IF CAP(schluessel) = 'N' THEN  (* CAP(char) = wandelt einen Klein- in *)
        RETURN FALSE                 (*             einen Grobuchstaben    *)
      ELSE
        RETURN TRUE
      END
    END Wiederholung;


  PROCEDURE ProgMain*();

    VAR a, b : INTEGER;

    BEGIN
      Einlesen(a,b);
      REPEAT
        Tauschen(a,b);
        Ausgeben(a,b)
      UNTIL ~Wiederholung()
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END EinsVari.
