
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)        Dateiname: TETRAEDER.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Einstieg in die Programmierung mit OBERON                     |
  |-------------------------------------------------------------------------|
  | Leistung: Nach dem Einlesen einer reellen Zahl (Kantenlnge) werden die |
  |           Oberflche und das Volumens eines Tetraeders berechnet und    |
  |           die Ergebnisse am Bildschirm zugeordnet ausgegeben.           |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe ...\einstieg\fine\tetraeder.mod                         |
  *-------------------------------------------------------------------------*)

 MODULE Tetraeder;

  IMPORT In, Out;

  VAR a, Ao, V : REAL; 

  PROCEDURE Einlesen;
    BEGIN
      In.Prompt('Kantenlnge');
      In.Real(a);
      Out.Ln;
      Out.String(' Kantenlnge: '); Out.Real(a,14); Out.Ln
    END Einlesen;
    
  PROCEDURE Berechnen;
    BEGIN
      Ao := 1.7320508 * a * a;
      V := 0.11785113 * a * a * a;
      Out.Ln;
      Out.String(' fertig'); Out.Ln
    END Berechnen;
    
  PROCEDURE Ausgeben;
    BEGIN
      Out.Ln;
      Out.String(' Oberflche:  '); Out.Real(Ao,14); Out.Ln;
      Out.Ln;
      Out.String(' Volumen:     '); Out.Real(V,14); Out.Ln
    END Ausgeben;


  PROCEDURE ProgMain*();
    BEGIN
      Einlesen;
      Berechnen;
      Ausgeben
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Tetraeder.
