
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (32 Bit)         Dateiname: TURTDEMO.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Anwendung der Kommandos aus dem Service-Modul: Turtle-Grafik  |
  |-------------------------------------------------------------------------|
  | Leistung: Zeichnen einer Linie unter Verwendung                         |
  |           der Turtle-Grafik-Kommandos                                   |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt und ggf. eine anspruchs-  |
  |           vollere Grafik gezeichnet werden.                             |
  |           Siehe ...\hilbert\fine\turtdemo.mod                           |
  *-------------------------------------------------------------------------*)

 MODULE TurtDemo;

  IMPORT In, Out, T:= Turtle;


  PROCEDURE Beispieltext;
    BEGIN
      Out.Ln;
      Out.String('  Beispieldaten: 350 400 0 150 225 212'); Out.Ln;
      Out.Ln;
      Out.String('  Die Eingaben mssen mit < Enter > abgeschlossen werden.');
      Out.Ln;
    END Beispieltext;


  PROCEDURE Init;

    VAR a, b: INTEGER;

    BEGIN
      In.Prompt('Startpunkt ( x )');
      In.Int(a);
      In.Prompt('Startpunkt ( y )');
      In.Int(b);
      T.BildNeu(a,b)
    END Init;


  PROCEDURE Ausrichten;

    VAR richtung : INTEGER;

    BEGIN
      In.Prompt('Richtung in ');
      In.Int(richtung);
      T.Aufkurs(richtung)
    END Ausrichten;


  PROCEDURE Drehen;

    VAR winkel : INTEGER;

    BEGIN
      In.Prompt('Winkel in ');
      In.Int(winkel);
      T.Rechts(winkel)
    END Drehen;


  PROCEDURE Gehen;

    VAR schritte: INTEGER;

    BEGIN
      In.Prompt('Lnge in Pixeln');
      In.Int(schritte);
      T.Vorwaerts(schritte)
    END Gehen;


  PROCEDURE ProgMain*();
    BEGIN
      Beispieltext;
      Init;
      Ausrichten;
      Gehen;
      Drehen;
      Gehen
    END ProgMain;

  END TurtDemo.
