
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)           Dateiname: WINDOW.MOD |
  |-------------------------------------------------------------------------|
  | Autor:    Manfred Kmmerer, Carl-Zeiss-Gymnasium JENA                   |
  |           Erstellungsdatum: Mrz 2001 Version: V 1.1                    |
  |-------------------------------------------------------------------------|
  | Thema:    DEFINITION statt MODULE unter Pow 16-Bit                      |
  |-------------------------------------------------------------------------|
  | Anliegen: Fr die Nutzung bestimmter WINDOWS-Funktionen werden Dekla-   |
  |           rationen aus den Definitionsdateien von Oberon-2 POW! 16-Bit  |
  |           WINDOWS.MOD bzw. der Symboldateien ( *.SYM) bentigt, die     |
  |           sehr viel Speicher im jeweiligen Pfad belegen.                |
  |           Da kann eine DEFINITION Marke Eigenbau sehr gute Dienste      |
  |           leisten. Es werden aus den oben genannten *.MOD-Dateien nur   |
  |           die fr unsere Anwendungen bentigten Definitionen entnommen. |
  |           Die Anpassung der Datentypen ist etwas kompliziert. Aber mit  |
  |           Geduld, entsprechendem Literaturstudium und Einsichtnahme in  |
  |           WINDOWS-Hilfedateiene werden die Hrden berwunden. Nur Mut!  |
  |-------------------------------------------------------------------------|
  | Leistung: Import wichtiger und/oder ntzlicher Deklarationen fr das    |
  |           Einbinden von WINDOWS-API-Funktionen.                         |
  |-------------------------------------------------------------------------|
  |            2001  Manfred Kmmerer, Chamberlain-Soft JENA               |
  *-------------------------------------------------------------------------*)

 DEFINITION Window;     (*  (!!!)  N U R  (!!!)  fr 16-Bit-POW! anwendbar! *)


  PROCEDURE [WINDOWS] ShowWindow ( a : INTEGER;
                                   b : INTEGER) : BOOLEAN;

  PROCEDURE [WINDOWS] GetActiveWindow () : INTEGER;
  
  PROCEDURE [WINDOWS] MessageBox ( a : INTEGER; 
                                   b : LONGINT; (* !! SYSTEM.ADR('TEEEXXXT'); !! *)
                                   c : LONGINT; (* !! dito                    !! *)
                                   d : INTEGER ) : INTEGER;

  PROCEDURE [WINDOWS] SetWindowText ( a : INTEGER;
                                      b : LONGINT ); (* SYSTEM.ADR('TEEEXXXT');  *)

  PROCEDURE [WINDOWS] GetTickCount (): LONGINT;


  PROCEDURE [WINDOWS] TextOut ( a : LONGINT; 
                                b : INTEGER; 
                                c : INTEGER; 
                                d : LONGINT; (*  !! SYSTEM.ADR('TEEEXXXT'); !!  *)
                                e : LONGINT ) : BOOLEAN;        


  PROCEDURE [WINDOWS] GetDC ( a : INTEGER ) : LONGINT;

 END Window.
