
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon (POW!-16)                   Dateiname: DREI.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    A b s t r a k t e r   D a t e n t y p   L i s t e             |
  |-------------------------------------------------------------------------|
  | Leistung: Das Modul importiert u. a. das Service-Modul ADTLISTE.        |
  |           Es wird eine leere Liste erzeugt, danach sollen INTEGER-Wer-  |
  |           te mittels Tastatur eingegeben werden. Diese werden nach auf- |
  |           steigenden Werten geordnet in die Liste eingefgt. Nach dem   |
  |           Beenden der Eingabe  m u s s  der End-Buttons bettigt werden.|
  |           Danach werden die Werte aller Listenelemente am Bildschirm    |
  |           ausgegeben.                                                   |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur das Grundgerst dar. |
  |           Es sollten Nutzerhinweise eingefgt werden.                   |
  |           Siehe: ...\adt\fine\drei.mod                                  |
  *-------------------------------------------------------------------------*)

 MODULE Drei;

  IMPORT In, Out, ADTL:= Adtliste;

  VAR a : ADTL.Liste;


  PROCEDURE Eingabe;

    VAR x, daten : INTEGER;

    BEGIN
      ADTL.Erzeugen(a);
      ADTL.AnhaengenElement(a,MAX(INTEGER));
      In.Open;
      In.Int(x);
      WHILE In.Done DO
        ADTL.GeheErstes(a);
        ADTL.HoleEintrag(a,daten);
        WHILE x >= daten DO
           ADTL.GeheNaechstes(a);
           ADTL.HoleEintrag(a,daten)
        END;
        ADTL.EinfuegenElement(a,x);
        In.Int(x)
      END;
      ADTL.GeheLetztes(a);
      ADTL.LoeschenElement(a);
      Out.Ln;
      Out.String(' sortiert:')
    END Eingabe;


  PROCEDURE Ausgabe;

    VAR daten: INTEGER;

    BEGIN
      ADTL.GeheErstes(a);
      WHILE ~ADTL.ListenEnde(a) DO
        ADTL.HoleEintrag(a,daten);
        Out.Int(daten,6);      
        ADTL.GeheNaechstes(a)
      END;
      ADTL.HoleEintrag(a, daten);
      Out.Int(daten,6); Out.Ln
    END Ausgabe;


  PROCEDURE ProgMain*();
    BEGIN
      Eingabe;
      Ausgabe
    END ProgMain;

 BEGIN
   Out.Open
 END Drei.

