
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon (POW!-16)                   File-Name: EINS.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    A b s t r a k t e r   D a t e n t y p   L i s t e             |
  |-------------------------------------------------------------------------|
  | Leistung: Das Modul importiert u. a. das Service-Modul ADTLISTE.        |
  |           Es wird eine leere Liste erzeugt, zehn INTEGER-Werte in diese |
  |           eingetragen, danach wieder ausgelesen und am Bildschirm ge-   |
  |           folgt von der Anzahl der gelesenen Listenelemente ausgegeben. |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur das Grundgerst dar. |
  |           Es sollten Nutzerhinweise eingefgt werden.                   |
  *-------------------------------------------------------------------------*)

 MODULE eins;

  IMPORT Out, ADTL:= Adtliste;

  VAR a         : ADTL.Liste;
      aus, z, i : INTEGER;

  PROCEDURE Start;
    BEGIN
      Out.Ln;
      ADTL.Erzeugen(a);
      FOR i:= 1 TO 10 DO
        ADTL.AnhaengenElement(a,i+10000)
      END;
      ADTL.GeheErstes(a);
      WHILE ~ADTL.ListenEnde(a) DO
        ADTL.HoleEintrag(a,aus);
        Out.Int(aus,6);
        ADTL.GeheNaechstes(a)
      END;
      ADTL.HoleEintrag(a,aus);
      Out.Int(aus,6);
      Out.Ln;
      ADTL.GeheErstes(a);
      z:= 0;
      WHILE ~ADTL.ListenEnde(a) DO
        ADTL.GeheNaechstes(a);
        INC(z)
      END;
      Out.Ln;
      Out.Int(z+1,8); Out.Ln
    END Start;


  PROCEDURE ProgMain*();
    BEGIN
      Start
    END ProgMain;

 BEGIN
   Out.Open             (* kann entfallen  *)
 END eins.
