
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: EINS.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Eingabe, Ausgabe und Tauschen zweier Zahlen (DT: INTEGER)     |
  |-------------------------------------------------------------------------|
  | Importe:  Das Modul Eins importiert die von POW! bereitgestellten       |
  |           Module In und Out (Oakwood Guidelines). Damit werden Proze-   |
  |           duren fr Ein- und Ausgabeanweisungen bereitgestellt.         |
  | Leistung: Tauschen zweier vom Anwender eingegebener ganzer Zahlen.      |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul als lauffhiges Grundgerst befindet sich in:       |
  |            ...\anwei\good\eins.mod                                      |
  |                                                                         |
  |           Der krzeste Weg zur Einsichtnahme in die Leistungsmerkmale   |
  |           der Module In und Out:                                        |
  |           Klick mit der  r e c h t e n  Maustaste auf eines der beiden  |
  |           Wrter in der IMPORT-Zeile. Es ffnet sich die kontextsensi-  |
  |           tive Hilfe, die alle Erluterungen der im Modul verfgbaren   |
  |           Anweisungen enthlt.                                          |
  |                                                                         |
  | POW!:     Pow! = Programmers Open Workbench!                            |
  |                                                                         |
  | Hilfe:    < F1 >:          ffnen des POW!-Hilfe-Index                  |
  |           < Alt >+< F1 >:  Oberon Hilfeindex                            |
  |           < Strg >+< F1 >: Suchen nach Themen oder Schlsselwortern:    |
  |                            Cursor auf ein Schlsselwort setzen,         |
  |                            < rechte Maustaste > drcken: automatisches  |
  |                            ffnen der kontextsensitive Hilfe oder des   |
  |                            Oberon Hilfeindex', falls das Schlsselwort  |
  |                            nicht korrekt geschrieben ist                |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Eins;
 
  IMPORT In, Out;
 

 (* ---------------------  U N T E R P R O G R A M M ---------------------- *)


  PROCEDURE Tausch;

    VAR a, b, hilf: INTEGER;            (* lokale Variablen in der Prozedur *)

    BEGIN
      Out.Ln;
      Out.String('  Tauschen zweier Zahlen'); Out.Ln;
      Out.Ln;
      Out.String('  Zum Beispiel: 5 und 777 oder 1000 und -2000'); Out.Ln;
      Out.Ln;

      In.Prompt('1. Zahl  ( DT: INT )');
      In.Int(a);
      In.Prompt('2. Zahl  ( DT: INT )');
      In.Int(b);
      
      hilf:= a;                                     (* drei Wertzuweisungen *)
      a:= b;
      b:= hilf;
      
      Out.Ln;
      Out.String('  Die beiden Zahlen wurden getauscht:');
      Out.Int(a,6); Out.Int(b,6);
      Out.Ln
    END Tausch;
 

 (* ---------------------  H A U P T P R O G R A M M  --------------------- *)

  PROCEDURE ProgMain*();
    BEGIN
      Tausch
    END ProgMain;

 (* -------------------  I N I T I A L I S I E R U N G  ------------------- *)

 BEGIN
   In.Open;                   (* Die Initialisierung des In- und Out-Moduls *)
   Out.Open                   (* kann weggelassen werden!                   *)
 END Eins.

 (* ----------------------------------------------------------------------- *)

