
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: VIER.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die mehrseitige Auswahl                                       |
  |-------------------------------------------------------------------------|
  | Leistung: Nach Eingabe der Notenpunkte wird das dazugehrige Prdikat   |
  |           (Wortlaut der Note) angezeigt.                                |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe ...\anwei\fine\vier.mod                                 |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Vier;

   IMPORT In, Out;

   PROCEDURE Note;

     VAR notenpunkte : INTEGER;

     BEGIN
       In.Int(notenpunkte);
       Out.Ln;
       Out.String('   ');
       
       CASE notenpunkte OF
           13..15: Out.String('sehr gut')
         | 10..12: Out.String('gut')
         |  7.. 9: Out.String('befriedigend')
         |  4.. 6: Out.String('ausreichend')
         |  1.. 3: Out.String('mangelhaft')
         |      0: Out.String('ungengend')
           ELSE Out.String(' Fehler!')
       END;
       
       Out.Ln
     END Note;


  PROCEDURE ProgMain*();
    BEGIN
      Note
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Vier.
