
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)         Dateiname: EXISTENZ.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    D a t u m  (korrektes Datum)                                  |
  |-------------------------------------------------------------------------|
  | Leistung: Feststellen, ob drei eingelesene ganze Zahlen ein korrektes   |
  |           Datum reprsentieren.                                         |
  |           Zu beachten ist die Reihenfolge: Jahr Monat Tag!              |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           In der Prozedur Test sind Anweisungen zu ergnzen.            |
  |           Es sollten Bedienhinweise und ggf. Beispiele fr gltige Ein- |
  |           gaben eingefgt werden.                                       |
  |           Siehe ...\datum1\fine\existenz.mod                            |
  |-------------------------------------------------------------------------|
  | Aufgabenstellung: ...\datum1\txt\datum.txt und                          |
  |                   ...\datum1\doc\datum.doc                              |
  *-------------------------------------------------------------------------*)

 MODULE Existenz;

  IMPORT In, Out;

  PROCEDURE Test;

    VAR anzahl, c, j,
        jahr, monat, tag    : INTEGER;
        korrekt, schaltjahr : BOOLEAN;

    BEGIN
      In.Prompt('Jahr  ( jjjj )');
      In.Int(jahr);
      In.Prompt('Monat  ( mm )');
      In.Int(monat);
      In.Prompt('Tag  ( tt )');
      In.Int(tag);
      Out.Ln;
      Out.Int(jahr, 5); Out.Int(monat, 3); Out.Int(tag, 3);
      Out.String(' :  ');
    
      korrekt := TRUE;
    
      IF (jahr < 1583) OR (jahr > 3000) THEN
         Out.String('  Nur Jahreszahlen von 1583 bis 3000 eingeben!');
         Out.Ln;
         korrekt := FALSE
      END;
    
      IF (monat < 1) OR (monat > 12) THEN
         Out.String(' Die Monate haben die Nummern von 1 bis 12.'); Out.Ln;
         korrekt := FALSE
      END;
    
      (* Hier sind Anweisungen zu ergnzen. *)
    
    END Test;


  PROCEDURE ProgMain*();
    BEGIN
      Test
    END ProgMain;

 
 BEGIN
   In.Open;
   Out.Open
 END Existenz.

