
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)         Dateiname: KREUZUNG.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Thringer Abiturprfung Grundfach Informatik 1998,            |
  |           Aufgabe 1.4  (Zentralabitur)                                  |
  |-------------------------------------------------------------------------|
  | Leistung: Ermitteln der Stunde(n) des geringsten und grten Verkehrs-  |
  |           aufkommens an einer Straenkreuzung.                          |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |           Siehe ...\kreuzung\fine\kreuzung.mod                          |
  |-------------------------------------------------------------------------|
  | Aufgabenstellung: ...\kreuzung\txt\kruezuna.txt                         |
  |                   ...\kreuzung\doc\kreuzuna.doc                         |
  | Lsungsentwurf:   ...\kreuzung\txt\kreuzung.txt                         |
  |                   ...\kreuzung\doc\kreuzung.doc                         |
  | Eingabehinweise:  ...\kreuzung\doc\krztool.txt                          |
  |                   ...\kreuzung\doc\krztool.doc                          |
  |-------------------------------------------------------------------------|
  | Zustzliche Dateien mit Verkehrsaufkommen (24 Stunden):                 |
  |                   ...\kreuzung\txt\kruezun1.txt                         |
  |                   ...\kreuzung\txt\kruezun2.txt                         |
  |                   ...\kreuzung\txt\kruezun3.txt                         |
  *-------------------------------------------------------------------------*)

 MODULE Kreuzung;

  IMPORT In, Out;


  PROCEDURE SummeUndDurchschnitt;

   (*-----------------------------------------------------------------------*
    | Anleitung: Die Werte fr die Variable 'wert' knnen einzeln ber die  |
    |            Tastatur oder aus der Textdatei 'kreuzung.txt eingelesen   |
    |            werden. Um die Textdatei nach dem bersetzen (Compilation) |
    |            des Quelltextes einzulesen, muss das Men 'Pane' geffnet  |
    |            und die Option 'read input from file ...' aktiviert werden.|
    |            Danach kann die Textdatei eingelesen werden.               |
    *-----------------------------------------------------------------------*)

    VAR summe, wert, k : INTEGER;

    BEGIN
      summe:= 0;
      In.Open;
      FOR k:= 1 TO 24 DO
        In.Prompt('Anzahl');
        In.Int(wert);
        summe:= summe + wert
      END;
      Out.Ln; Out.String('  Summe        = '); Out.Int(summe,6); Out.Ln;
      Out.Ln; Out.String('  Durchschnitt = '); Out.Real(summe / 24,6);
      Out.Ln
    END SummeUndDurchschnitt;


  PROCEDURE Positionieren;

    VAR i : INTEGER;

    BEGIN
      Out.Ln;
      FOR i:= 1 TO 50 DO Out.Char(' ') END
    END Positionieren;


  PROCEDURE Minimum;

    VAR min, wert, k, z : INTEGER;

    BEGIN
      min:= MAX(INTEGER);                    (* Initialisieren des Minimums *)
      In.Open;                               (* Datenstream erneut einlesen *)
      FOR k:= 1 TO 24 DO
        In.Int(wert);
        IF wert < min THEN min:= wert END    (* Aktualisieren des Minimums  *)
      END;
      Out.Ln;
      Out.String('  Stunde(n) mit dem geringsten Verkehrsaufkommen =');
      In.Open;                               (* Erneutes Einlesen der Werte *)
      z:= 0;
      FOR k:= 1 TO 24 DO
        In.Int(wert);
        IF wert = min THEN                   (* Vergleich und Ausgabe       *)
          INC(z);
          Out.Int(k,4);
          IF z MOD 6 = 0 THEN Positionieren END
        END;
      END;
      Out.Ln
    END Minimum;


  PROCEDURE Maximum;

    VAR max, wert, k, z : INTEGER;

    BEGIN
      max:= MIN(INTEGER);
      In.Open;
      FOR k:= 1 TO 24 DO
        In.Int(wert);
        IF wert > max THEN max:= wert END
      END;
      Out.Ln;
      Out.String('  Stunde(n) mit dem grten Verkehrsaufkommen    =');
      In.Open;                               (* Datenstream erneut einlesen *)
      z:= 0;
      FOR k:= 1 TO 24 DO
        In.Int(wert);
        IF wert = max THEN
          INC(z);
          Out.Int(k,4);
          IF z MOD 6 = 0 THEN Positionieren END
        END
      END;
      Out.Ln
    END Maximum;


  PROCEDURE ProgMain*();
    BEGIN
      SummeUndDurchschnitt;
      Minimum;
      Maximum
    END ProgMain;


 BEGIN
   Out.Open
 END Kreuzung.
