
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)           Dateiname: SIEBEN.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Die Zhlschleife                                              |
  |-------------------------------------------------------------------------|
  | Leistung: Tabellarische Ausgabe der druckbaren Zeichen des Standard-    |
  |           zeichensatzes (ASCII). Die Ordinalzahlen stehen, in Klammern  |
  |           gesetzten, in der jeweils linken Spalte.                      |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\anwei\txt\anweisu.txt und                         |
  |                   ...\anwei\doc\anweisu.doc                             |
  *-------------------------------------------------------------------------*)

 MODULE Sieben;

  IMPORT Out;

  PROCEDURE exe;

    VAR k : INTEGER;

    BEGIN
      Out.Ln;

    (* ---  Zhlschleife-Anweisung  --------------------------------------- *)      

      FOR k:= 32 TO 127 DO
        Out.String(' ('); Out.Int(k,3); Out.String(')  ');
        Out.Char(CHR(k)); Out.String('  | ');
        IF (k-1) MOD 6 = 0 THEN Out.Ln END     (* Diese If-Anweisung reali- *)
                                               (* siert ein CR nach jeweils *)
                                               (* sechs Ausgaben.           *)
      END;

    (* -------------------------------------------------------------------- *)

      Out.Ln
    END exe;


  PROCEDURE ProgMain*();
    BEGIN
      exe
    END ProgMain;

 BEGIN
   Out.Open
 END Sieben.

