
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)           Dateiname: EUKLID.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Einstieg in die Programmierung mit OBERON                     |
  |-------------------------------------------------------------------------|
  | Leistung: Berechnen des grten gemeinsamen Teilers                     |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  |-------------------------------------------------------------------------|
  | Erluterungstext: ...\einstieg\txt\beispiel.txt und                     |
  |                   ...\einstieg\doc\beispiel.doc                         |
  *-------------------------------------------------------------------------*)

 MODULE Euklid;                  (* Modulkopf allgemein: MODULE bezeichner; *)

  IMPORT In, Out;                (* Importliste (Standardmodule In und Out) *)
     
  PROCEDURE ggT;

    VAR x, y, rest : LONGINT;    (* Die drei Variablen vom Typ LONGINT      *)
                                 (* sind nur der Prozedur ggT bekannt       *)
                                 (* lokale Variablendeklaration             *)
    BEGIN
      In.Prompt('1. Zahl');
      In.LongInt(x);             (* Eingabe      *)
      In.Prompt('2. Zahl');
      In.LongInt(y);
      
      WHILE y > 0 DO             (* Verarbeitung *)
        rest:= x MOD y;
        x:= y;
        y:= rest
      END;
      Out.Ln;
      Out.Int(x,10); Out.Ln      (* Ausgabe      *)
    END ggT;


  PROCEDURE ProgMain*();
    BEGIN
      ggT
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Euklid.
