
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)          Dateiname: MAXIMUM.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Einstieg in die Programmierung mit OBERON                     |
  |-------------------------------------------------------------------------|
  | Leistung: Suche und Ausgabe des Maximums in einer vom Nutzer abhngi-   |
  |           gen Anzahl eingelesener ganzer Zahlen. Bei mehrfachem Auftre- |
  |           ten des Maximums werden die Positionen seines Auftretens im   |
  |           Eingabestream am Bildschirm angezeigt.                        |
  |-------------------------------------------------------------------------|
  | Achtung!  Jede Eingaben durch Bettigen der Enter-Taste abschlieen.    |
  |           ODER: Alle gewnschten Zahlen nacheinander, durch Leerzeichen |
  |           getrennt, eingeben und anschlieend die Enter-Taste bettigen |
  |           (Eingabestrom, engl.: inputstream).                           |
  |           Nach der letzten Eingabe den End-Button bettigen (linke MT). |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist lauffhig, stellt aber nur ein Grundgerst dar. |
  |           Es sollten Bedienhinweise eingefgt werden.                   |
  *-------------------------------------------------------------------------*)

 MODULE Maximum;

  IMPORT In, Out, S:= Strings;

  VAR zahl, maximum, n : INTEGER;


  PROCEDURE Anzahl;
    BEGIN
      n:= 0;
      In.Open;
      In.Int(zahl);
      WHILE In.Done DO
        In.Int(zahl);
        INC(n)
      END;
      Out.Ln;
      Out.String('  Anzahl Zahlen: '); Out.Int(n,6); Out.Ln
    END Anzahl;

    
  PROCEDURE Max;

    VAR i : INTEGER;

    BEGIN
      maximum:= MIN(INTEGER);
      In.Open;
      FOR i:= 1 TO n DO
        In.Int(zahl);  
        IF zahl > maximum THEN maximum:= zahl END
      END;
      Out.String('  Maximum:       '); Out.Int(maximum,6); Out.Ln
    END Max;


  PROCEDURE Pos;

    VAR i: INTEGER;

    BEGIN
      In.Open;
      Out.Ln;
      Out.String('  Position(en) des Maximums: ');
      FOR i:= 1 TO n DO  
        In.Int(zahl);
        IF zahl = maximum THEN Out.Int(i,6) END
      END;
      Out.Ln
    END Pos;


  PROCEDURE ProgMain*();
    BEGIN
      Anzahl;
      Max;
      Pos
    END ProgMain;

 BEGIN
   Out.Open
 END Maximum.


