
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)             Dateiname: MONO.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Monoalpabetische Verschlsselung                              |
  |-------------------------------------------------------------------------|
  | Leistung: Verschlsseln und Entschlsseln eines Textes mittels          |
  |           monoalphabetischer Substitution.                              |
  |-------------------------------------------------------------------------|
  | Hinweis:  Das Modul ist noch nicht lauffhig, stellt also nur ein       |
  |           Grundgerst dar. Es mssen Deklarationen, Anweisungen und     |
  |           Bedienhinweise eingefgt werden.                              |
  |-------------------------------------------------------------------------|
  | Erluterungstexte: ...\mono\txt\mono.txt                                |
  |                    ...\mono\txt\monotool.txt                            |
  |                    ...\mono\doc\mono.doc                                |
  |                    ...\mono\doc\monotool.doc                            |
  *-------------------------------------------------------------------------*)

 MODULE Mono;

  IMPORT D:= Display, F:= File, S:= Strings;


  CONST  delayTime   = 25;
         
         fPfad       = 'ALPHABET.TXT';

  TYPE   tAlphabet   = ARRAY 26 OF CHAR;
         tGeheimtext = ARRAY 61 OF CHAR;


  PROCEDURE Enter ( spalte, zeile : INTEGER );

    VAR Dummy : CHAR;

    BEGIN
      D.WriteStrXY(spalte,zeile,'< ENTER >');
      D.FlushKeyBuffer;
      Dummy:= D.ReadKey();
      D.WriteStrXY(spalte,zeile,'         ');
    END Enter;


  PROCEDURE ErstesAlphabet ( wahl : INTEGER; VAR alphabet1 : tAlphabet );
    (* Einlesen der Elemente der Reihung alphabet1 *)

    VAR name       : ARRAY  65 OF CHAR;
        zeichen    : CHAR;
        fHandle    : F.Handle;
        anzahl, i,
        resCode    : INTEGER;

    BEGIN
      IF F.Exist(fPfad) THEN
        F.Open(fPfad,FALSE,F.DENYNONE,F.READONLY,fHandle,resCode)
      ELSE
        D.WriteStrXY(29,23,'Datei nicht gefunden!');
        HALT(1)
      END;
      FOR i:= 0 TO 82 DO
        F.ReadChar(fHandle,zeichen,resCode);
        IF ~(zeichen = CHR(13)) & ~(zeichen = CHR(10)) THEN
                    (* CHR(13) = carage return  und  CHR(10) = line feed *)
          CASE wahl OF
            1: IF i < 26 THEN alphabet1[i]:= zeichen END
           |2: IF (i > 27) & (i < 54) THEN alphabet1[i-28]:= zeichen END
           |3: IF (i > 55) THEN alphabet1[i-56]:= zeichen END
          ELSE
          END
        END
      END;
      F.Close(fHandle);
      D.WriteStrXY(5,3,'1. Alphabet eingelesen')
    END ErstesAlphabet;


  PROCEDURE ZweitesAlphabet ( alphabet1 : tAlphabet; VAR alphabet2 : tAlphabet );
    (* Ermitteln der Elemente der Reihung alphabet2 *)

    VAR gefunden : BOOLEAN;
        zeichen  : CHAR;
        i, k     : INTEGER;

    BEGIN
      FOR i:= 0 TO 25 DO
        zeichen:= CHR(65+i);
        gefunden:= FALSE;
        k:= 0;
        WHILE ~gefunden & (k <= 25) DO
          IF alphabet1[k] = zeichen THEN
            gefunden:= TRUE 
          ELSE
            INC(k)
          END
        END;
        IF ~gefunden THEN
          HALT(200)
        END;                 
        alphabet2[i]:= CHR(97+k)
      END;
      D.WriteStrXY(5,5,'2. Alphabet ermittelt')
    END ZweitesAlphabet;
    

  PROCEDURE HoleBuchstabe ( spalte : INTEGER ) : CHAR;

    CONST zeile = 12;

    VAR buchstabe : CHAR;

    BEGIN
      D.WriteCharXY(spalte,zeile,'_');
      REPEAT
        buchstabe:= D.ReadKey()
      UNTIL (ORD(buchstabe) = 13) OR (buchstabe >= 'a') & (buchstabe <= 'z');
      IF ORD(buchstabe) # 13 THEN
        D.WriteCharXY(spalte,zeile,buchstabe)
      ELSE
        D.WriteCharXY(spalte,zeile,' ')
      END;
      RETURN buchstabe
    END HoleBuchstabe;


  PROCEDURE Verschluesseln ( (* ..., ... *) );
    (* Verschlsseln des Klartextes *)

    VAR 

    BEGIN
      
    END Verschluesseln;


  PROCEDURE Entschluesseln ( (* ..., ... *) );
    (* Entschlsseln des Geheimtextes *)

    VAR 

    BEGIN
      
    END Entschluesseln;


  PROCEDURE ProgMain*();

    VAR alphabet1,
        alphabet2  : tAlphabet;
        geheimtext : tGeheimtext;

    BEGIN
      ErstesAlphabet(1,alphabet1);
      ZweitesAlphabet(alphabet1,alphabet2);
      Verschluesseln((* ..., ... *));
      Enter(65,23);
      Entschluesseln((* ..., ... *));
      Enter(65,23)
    END ProgMain;

 END Mono.
