
 (*-------------------------------------------------------------------------*
  | Programmieren in Oberon-2 POW! (16 Bit)          Dateiname: ZIFFERN.MOD |
  |-------------------------------------------------------------------------|
  | Thema:    Z A H L E N R A T E N                                         |
  |           Thringer Abiturprfung Grundfach Informatik 1997,            |
  |           Aufgabe 1.4 (Zentralabitur)                                   |
  |-------------------------------------------------------------------------|
  | Leistung: Ein Mensch und ein Computer spielen Ziffernraten.             |
  |           Der Computer whlt eine zufllige Folge von vier Ziffern aus. |
  |           Die vom Menschen eingegebene Zahlenfolge wird mit der vom     |
  |           Computer gewhlten Zahlenfolge verglichen und die Anzahl der  |
  |           Treffer ermittelt und angezeigt.                              |
  |-------------------------------------------------------------------------|
  | Hinweise: Das Modul ist nicht lauffhig! Es besteht nur aus ein Grund-  |
  |           gerst. Es mssen Deklarationen, Anweisungen und Bedienhin-   |
  |           weise eingefgt werden.                                       |
  |           Die Anweisung R.Randomize initialisiert den Zufallszahlenge-  |
  |           nerator.                                                      |
  |-------------------------------------------------------------------------|
  | Aufgabenstellung: ...\ziffern\txt\zifferna.txt und                      |
  |                   ...\ziffern\doc\zifferna.doc                          |
  | Lsungsentwurf:   ...\ziffern\txt\ziffernb.txt und                      |
  |                   ...\ziffern\doc\ziffernb.doc                          |
  *-------------------------------------------------------------------------*)

 MODULE Ziffern;

  IMPORT In, Out, R:= RandomNu;

  VAR a, b, c, d : INTEGER;


  PROCEDURE Zufallszahl() : INTEGER;
    (* Diese Funktionsprozedur liefert eine ganzzahlige  *)
    (* Zufallszahl aus dem Intervall von 0 bis 9.        *)

    BEGIN
      RETURN SHORT(ENTIER(10 * R.Uniform()))
      (* Fr die vom Modul RandomNumbers bereitgestellte *)
      (* Zufallszahl z gilt: 0 < z < 1.                  *)
      (* ENTIER(10 * z) liefert eine LONGINT-Zufallszahl *)
      (* aus dem Intervall von 0 bis 9.                  *)
      (* Mit der Standardfunktion SHORT wird LONGINT in  *)
      (* INTEGER berfhrt.                              *)
    END Zufallszahl;


  PROCEDURE Erzeugen;
      (* Diese Prozedur fhrt den 1. Schritt aus.        *)
    BEGIN

    END Erzeugen;


  PROCEDURE Bewerten;
   (* Diese Prozedur fhrt den 2. und 3. Schritt aus.    *)

    BEGIN

    END Bewerten;


  PROCEDURE ProgMain*();
    BEGIN
      R.Randomize;
      Erzeugen;
      Bewerten
    END ProgMain;

 BEGIN
   In.Open;
   Out.Open
 END Ziffern.

